# Copyright 1992-3 by Jon Dart.  All Rights Reserved.
# Makefile for building TESTSRC program, using Borland C++ version 3.1

.AUTODEPEND

BORLAND=d:\borlandc

#		*Translator Definitions*
#CDEBUG=-v #uncomment for debug info
#LDEBUG=/v #uncomment for debug info
DEFINES = -DUSE_HASH -DNULL_MOVE
CFLAGS = -ml -3
OPTIMIZE = -O2t-a-g -Z
CC = bcc $(CFLAGS) -I$(BORLAND)\include $(OPTIMIZE) \
 -Ff=256 $(CDEBUG) $(DEFINES)
TLINK = TLINK

all: testsrc.exe

#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

search.obj: search.cpp
  $(CC) -c search.cpp

#		*List Macros*


EXE_dependencies =  \
  testsrc.obj \
  board.obj \
  attacks.obj \
  move.obj \
  emove.obj \
  square.obj \
  bhash.obj \
  bearing.obj \
  movegen.obj \
  sortmove.obj \
  search.obj \
  moveord.obj \
  scoring.obj \
  pinfo.obj \
  rmove.obj \
  options.obj \
  movearr.obj \
  piece.obj  \
  attacke.obj \
  atckentr.obj \
  material.obj \
  pool.obj \
  notation.obj

#		*Explicit Rules*
testsrc.exe: $(EXE_dependencies)
  $(TLINK) $(LDEBUG)/x/c/ye/A=16/L$(BORLAND)\LIB @&&|
c0l.obj+
testsrc.obj+
board.obj+
attacks.obj+
move.obj+
emove.obj+
square.obj+
piece.obj+
bhash.obj+
bearing.obj+
movegen.obj+
sortmove.obj+
moveord.obj+
scoring.obj+
pinfo.obj+
search.obj+
rmove.obj+
options.obj+
movearr.obj+
attacke.obj+
atckentr.obj+
material.obj+
pool.obj+
notation.obj
testsrc
testsrc
emu.lib+
cl.lib+
mathl.lib
|
