# Copyright 1992-3 by Jon Dart.  All Rights Reserved.
# Makefile for building MAKEBOOK program, using Borland C++ version 3.1

.AUTODEPEND

BORLAND=d:\borlandc

#		*Translator Definitions*
CC = bcc -ml -w- -I$(BORLAND)\include -O2t-a-g -Z -Ff=256 $(DEBUG)
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#		*List Macros*


EXE_dependencies =  \
  makebook.obj \
  board.obj \
  attacks.obj \
  atckentr.obj \
  move.obj \
  emove.obj \
  square.obj \
  bhash.obj \
  bearing.obj \
  movegen.obj \
  sortmove.obj \
  bookentr.obj \
  material.obj \
  color.obj \
  piece.obj  \
  notation.obj

  

#		*Explicit Rules*
makebook.exe: $(EXE_dependencies)
  $(TLINK) /v/x/c/ye/L$(BORLAND)\LIB @&&|
c0l.obj+
makebook.obj+
board.obj+
attacks.obj+
atckentr.obj+
move.obj+
emove.obj+
square.obj+
piece.obj+
bhash.obj+
bearing.obj+
movegen.obj+
sortmove.obj+
bookentr.obj+
material.obj+
notation.obj+
color.obj
makebook
		# no map file
emu.lib+
cl.lib
|


